Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List all custom roles within pagination

List all custom roles within an app

GET/api/v1/{team_slug}/{app_slug}/custom-roles
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
searchstring

Search by name

sort-orderstring

Sort order. Should be one of ASC or DESC. Default DESC

sort-keystring

The key to sort on. Can be one of created_at, updated_at, and name (Default is created_at)

pageinteger

Page number (default is 1)

per-pageinteger

Amount of custom roles per page. Minimum 0 and max 100 (default is 20)

Responses
200

List of app custom roles

datainternal_pkg_webserver_v1.CustomRole[]required
Show properties
Array of internal_pkg_webserver_v1.CustomRole
app_idstring
created_atstring
idstring
is_defaultboolean
namestring
slugstring
updated_atstring
successboolean
totalinteger
total_pagesinteger
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/custom-roles' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "app_id": "string",
      "created_at": "string",
      "id": "string",
      "is_default": true,
      "name": "string",
      "slug": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}